
Redmine - Defect #15714

Notification on loosing assignment does not work

2013-12-16 13:42 - Marc D.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.4.2   

Resolution: Fixed Affected version: 2.4.1

Description

It was implemented long long time ago in r8695, but it seems that it doesnt work.

Only the new "Assigned to" user, the author and watcher are notified, but not the old "assigned to" user.

The mailnotificationoptions are on both "Only for Issue I'm watching or working on"

Am I missing something or is it broken?

Our Redmine:

Environment:

  Redmine version                2.4.1.stable.12357

  Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

  Rails version                  3.2.16

  Environment                    production

  Database adapter               Mysql2

Associated revisions

Revision 12419 - 2013-12-17 21:48 - Jean-Philippe Lang

Fixed that previous assignee is not notified on issue update (#15714).

History

#1 - 2013-12-17 11:59 - Toshi MARUYAMA

- Description updated

#2 - 2013-12-17 21:49 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.2

- Resolution set to Fixed

You're right and the test that was added in r8695 was wrong. It's fixed in r12419 with a more robust test.

Thanks for pointing this out.

#3 - 2013-12-21 12:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#4 - 2014-01-13 22:02 - Deoren Moor

Is this feature something that can be tweaked from the user's or system's settings menu? Maybe it just includes the previous assignee in the

notification list if the criteria listed in the Select actions for which email notifications should be sent list are met?

For example we have our system setup to only send email notifications when a new issue is created (Issue added) a comment is made (Note added).

When the assignee is changed and comment is not made to the ticket no email notifications are sent. If a comment is made, then the previous

assignee does get a copy of the email as if they were still the assignee.

Is this expected behavior for this feature?
https://www.redmine.org/projects/redmine/repository/svn/revisions/8695
https://www.redmine.org/projects/redmine/repository/svn/revisions/8695
https://www.redmine.org/projects/redmine/repository/svn/revisions/12419


#5 - 2018-07-04 14:16 - Harm Ant

The issue was fixed in 2.x.

But after upgrading to Redmine 3.4.2.stable notifications to old assignee is absent!

#6 - 2018-07-04 14:37 - Go MAEDA

Harm Ant wrote:

But after upgrading to Redmine 3.4.2.stable notifications to old assignee is absent!

 See #9551#note-12.
